CVE-2004-1079
CVSS7.2
发布时间 :2005-01-10 00:00:00
修订时间 :2016-10-17 22:51:15
NMCOS    

[原文]Buffer overflow in (1) ncplogin and (2) ncpmap in nwclient.c for ncpfs 2.2.4, and possibly other versions, may allow local users to gain privileges via a long -T option.


[CNNVD]ncpfs nwclient.c 缓冲区溢出漏洞(CNNVD-200501-016)

        ncpfs是Linux下的NetWare协议支持软件。
        ncpfs 2.2.4以及其他版本中的nwclient.c中的ncplogin和ncpmap存在缓冲区溢出。
        本地用户可以通过一个超长的-T选项获得系统特权。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ncpfs:ncpfs:2.2.1
cpe:/a:ncpfs:ncpfs:2.2.3
cpe:/a:ncpfs:ncpfs:2.2.2
cpe:/a:ncpfs:ncpfs:2.2.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1079
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1079
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200501-016
(官方数据源) CNNVD

- 其它链接及资源

http://lists.grok.org.uk/pipermail/full-disclosure/2004-November/029563.html
(UNKNOWN)  FULLDISC  20041129 ncpfs buffer overflow
http://marc.info/?l=bugtraq&m=110175523207437&w=2
(UNKNOWN)  BUGTRAQ  20041129 ncpfs buffer overflow
http://www.gentoo.org/security/en/glsa/glsa-200412-09.xml
(UNKNOWN)  GENTOO  GLSA-200412-09
http://www.mandriva.com/security/advisories?name=MDKSA-2005:028
(UNKNOWN)  MANDRAKE  MDKSA-2005:028
http://www.securityfocus.com/archive/1/archive/1/433927/100/0/threaded
(UNKNOWN)  FEDORA  FLSA:152904
http://www.securityfocus.com/bid/11945
(VENDOR_ADVISORY)  BID  11945
http://xforce.iss.net/xforce/xfdb/18283
(VENDOR_ADVISORY)  XF  ncpfs-nwclientc-bo(18283)

- 漏洞信息

ncpfs nwclient.c 缓冲区溢出漏洞
高危 缓冲区溢出
2005-01-10 00:00:00 2005-10-20 00:00:00
本地  
        ncpfs是Linux下的NetWare协议支持软件。
        ncpfs 2.2.4以及其他版本中的nwclient.c中的ncplogin和ncpmap存在缓冲区溢出。
        本地用户可以通过一个超长的-T选项获得系统特权。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://knihovny.cvut.cz/ftp/pub/linux/ncpfs/

- 漏洞信息

12165
ncpfs ncplogin NWDSCreateContextHandleMnt Local Overflow
Local Access Required Input Manipulation
Loss of Integrity, Loss of Availability
Vendor Verified

- 漏洞描述

A local overflow exists in ncpfs ncplogin. ncpfs ncplogin fails to perform proper bounds checking within the NWDSCreateContextHandleMnt function resulting in a buffer overflow. With a specially crafted request, an attacker can cause an access violation resulting in a loss of availability.

- 时间线

2004-11-29 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.2.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

NCPFS Local Buffer Overflow Vulnerability
Boundary Condition Error 11945
No Yes
2004-11-29 12:00:00 2006-11-30 04:59:00
Karol Wiêsek <appelast@drumnbass.art.pl> is credited with the discovery of this issue.

- 受影响的程序版本

RedHat Linux 9.0 i386
RedHat Linux 7.3 i386
Red Hat Fedora Core3
Red Hat Fedora Core2
Red Hat Fedora Core1
ncpfs ncpfs 2.2.5
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Gentoo Linux
ncpfs ncpfs 2.2.4
+ Conectiva Linux 10.0
+ Conectiva Linux 9.0
+ Conectiva Linux 8.0
+ Conectiva Linux Enterprise Edition 1.0
+ S.u.S.E. Linux 8.1
+ S.u.S.E. Linux 8.0
+ S.u.S.E. Linux Connectivity Server
+ S.u.S.E. Linux Database Server 0
+ S.u.S.E. Linux Desktop 1.0
+ S.u.S.E. Linux Enterprise Server 9
+ S.u.S.E. Linux Personal 9.2
+ S.u.S.E. Linux Personal 9.1
+ S.u.S.E. Linux Personal 9.0 x86_64
+ S.u.S.E. Linux Personal 9.0
+ S.u.S.E. Linux Personal 8.2
+ SuSE SUSE Linux Enterprise Server 8
ncpfs ncpfs 2.2.3
ncpfs ncpfs 2.2.2
ncpfs ncpfs 2.2.1
ncpfs ncpfs 2.2 .18
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
Mandriva Linux Mandrake 10.1 x86_64
Mandriva Linux Mandrake 10.1
Mandriva Linux Mandrake 10.0 AMD64
Mandriva Linux Mandrake 10.0
MandrakeSoft Corporate Server 3.0 x86_64
MandrakeSoft Corporate Server 3.0
ncpfs ncpfs 2.2.5
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Gentoo Linux

- 不受影响的程序版本

ncpfs ncpfs 2.2.5
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0
+ Gentoo Linux

- 漏洞讨论

A local buffer overflow vulnerability affects ncpfs. This issue is due to the application's failure to properly validate the length of user-supplied strings before copying them into static process buffers.
A local attacker may leverage this issue to execute arbitrary code on an affected computer with superuser privileges, facilitating privilege escalation.

- 漏洞利用


Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案


The vendor has released an upgrade dealing with this issue.

Please see the referenced advisories for further information.


ncpfs ncpfs 2.2 .18

ncpfs ncpfs 2.2.1

ncpfs ncpfs 2.2.2

ncpfs ncpfs 2.2.3

ncpfs ncpfs 2.2.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站